Subject: bug#43622: 28.0.50; [CLEANUP][PATCH] cperl-mode: Eliminate dead code

From: Harald Jörg <[email-masked]>
Date: Sat, 26 Sep 2020 16:42:39 +0200

Lars Ingebrigtsen writes:

> Harald Jörg <[email-masked]> writes:
> 
>> As recently discussed on the emacs-devel list, I'd like to eradicate
>> conditional code from cperl-mode where the conditionals evaluate to nil.
>>
>> [...]
> 
> Looks good, so I've applied it to Emacs 28 with one change:
> 
> In end of data:
> progmodes/cperl-mode.el:8525:1: Warning: the function `cperl-init-faces-weak'
>     is not known to be defined.
> 
> This function was removed, but the call wasn't, so I removed it (and
> changed the surrounding code slightly).  If you could check that I
> didn't mess up that bit, that'd be nice.

Ouch - my bad.  I missed to apply that hunk.  I had a solution with the
same logic, but less elegant (closer to the original).  Many thanks for
spotting this!

-- 
Cheers,
haj